Subject: [Tools-discuss] Idnits-2.16.02 feedback

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 20 Feb 2020 20:47:02 -0800

Hi Henrik,

Is there an issue with downloading the status files for some of the newer RFCs. Using the above version of idnits, I keep getting the following error. Needless to say, running the same idnits online does not give the same errors.

idnits draft-ietf-idr-bgp-model-08.txt
idnits 2.16.02 

draft-ietf-idr-bgp-model-08.txt:
   Attempted to download rfc0000 state...
   Failure fetching the file, proceeding without it.
   Attempted to download rfc428 state...
   Failure fetching the file, proceeding without it.
   Attempted to download rfc8528 state...
   The downloaded file seems to be corrupt, proceeding with outdated information.
   Attempted to download rfc8529 state...
   Failure fetching the file, proceeding without it.

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  https://trustee.ietf.org/license-info):
  ---------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/1id-guidelines.txt:
  ---------------------------------------------------------------------------

     No issues found here.

  Checking nits according to https://www.ietf.org/id-info/checklist :
  ---------------------------------------------------------------------------

  -- The document has examples using IPv4 documentation addresses according
     to RFC6890, but does not use any IPv6 documentation addresses.  Maybe
     there should be IPv6 examples, too?

  Miscellaneous warnings:
  ---------------------------------------------------------------------------

  == Line 413 has weird spacing: '...fi-name    ide...'

  == Line 423 has weird spacing: '...address    ine...'

  == Line 441 has weird spacing: '...address    ine...'

  == Line 2187 has weird spacing: '...unicast  speci...'

  -- The document date (January 21, 2020) is 30 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ---------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative
     references to lower-maturity documents in RFCs)

  ** Downref: Normative reference to an  RFC: RFC 8528

  ** Downref: Normative reference to an  RFC: RFC 8529

     Summary: 2 errors (**), 0 flaws (~~), 4 warnings (==), 2 comments (--).

     Run idnits with the --verbose option for more detailed information
     about the items above.

A more detailed output for just one rfc is as follows:

+ for ref in '$rfcrefs'
echo $ref | tr -d "\r"
++ echo 8528
++ tr -d '\r'
+ ref=8528
+ name=rfc8528
+ num=8528
+ '[' '!' rfc8528 = rfc ']'
+ download 'rfc8528 state' https://tools.ietf.org/draft/rfc8528/state /Users/mahesh/.idnits/rfc8528.state 'Doc-rfcnum: 8528'
+ name='rfc8528 state'
+ url=https://tools.ietf.org/draft/rfc8528/state
+ file=/Users/mahesh/.idnits/rfc8528.state
+ test='Doc-rfcnum: 8528'
+ cd /Users/mahesh/.idnits
+ '[' /Users/mahesh/.idnits/rfc8528.state ']'
$FDATE $file.date 2>/dev/null
++ stat -f %Sm -t %Y-%m-%d /Users/mahesh/.idnits/rfc8528.state.date
+ filedate=2020-02-20
tmpfile
++ tmpfile
basename $0
+++ basename /usr/local/bin/idnits
++ prefix=idnits
++ for tmpdir in '$TMPDIR' '$TMP' '$TEMP' /tmp .
++ '[' -d /var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T/ -a -w /var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T/ ']'
++ tmpfn=/var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T//idnits-81427.tmp
++ '[' -f /var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T//idnits-81427.tmp ']'
++ echo /var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T//idnits-81427.tmp
++ exit
+ tempfile=/var/folders/mk/217qg4m52h9drx2k5ybf76wc000ghf/T//idnits-81427.tmp
+ debug 'Status file /Users/mahesh/.idnits/rfc8528.state is dated 2020-02-20.'
+ '[' '' ']'
+ '[' 2020-02-20 = 2020-02-20 ']'
+ true